Skip to main content

Get Table

GET

https://app.smartsuite.com/api/v1/applications/[tableId]/

Retrieves a Table, including its full field structure and record layout.

Example Request
curl -X GET https://app.smartsuite.com/api/v1/applications/6451093119bcf22befaed847/ \
-H "Authorization: Token YOUR_API_KEY" \
-H "ACCOUNT-ID: WORKSPACE_ID" \
-H "Content-Type: application/json"

Path Parameters​

ParamTypeDescription
tableIdstringThe Table Id

Query Parameters​

ParamTypeOptionalDescription
fieldsstringYesSpecifies a field slug to include in the response. This parameter can be repeated to add multiple fields. If at least one field is specified, the response will only contain fields referenced by the fields parameter.

Response Format​

Table object

The permissions object has the shape described in the Permissions object: members and teams hold {entity, access} grant objects, and owners holds member Ids. permissions is null when the Table inherits its Solution's permissions (see Table Object).

200 Response - Example
{
"id": "63a1f65623aaf6bcb564b00b",
"name": "Teams",
"solution": "63a1f65523aaf6bcb564b00a",
"slug": "teams",
"status": "active",
"structure": [
{
"slug": "name",
"label": "Name",
"field_type": "textfield",
"params": {
"primary": true,
"restore_application_id": null,
"linked_field_slug": null,
"max_length": null,
"composite": null,
"delimiter": ", ",
"required": true,
"unique": true,
"hidden": false,
"help_text": "",
"help_text_display_format": "tooltip",
"placeholder": "Write here",
"default_value": null,
"width": 1,
"system": false,
"valid": true,
"is_migrating": false,
"system_label": "Name"
}
},
{
"slug": "color",
"label": "Color",
"field_type": "colorpickerfield",
"params": {
"required": true,
"unique": false,
"hidden": false,
"help_text": "",
"help_text_display_format": "tooltip",
"placeholder": "Select color",
"default_value": [],
"width": 1,
"system": false,
"valid": true,
"is_migrating": false,
"system_label": "Availability Status",
"display_format": "hex",
"entries_allowed": "single"
}
},
{
"slug": "type",
"label": "Type",
"field_type": "singleselectfield",
"params": {
"display_format": "importance",
"control_type": "dropdown",
"edit_values": false,
"edit_help_texts": false,
"new_choices_allowed": true,
"choices": [
{
"value": "2",
"label": "Public",
"value_help_text": null,
"value_color": "#0C41F3",
"value_order": 0
}
],
"required": true,
"unique": false,
"hidden": false,
"help_text": "",
"help_text_display_format": "tooltip",
"placeholder": "Select Value",
"default_value": "",
"width": 1,
"system": false,
"valid": true,
"is_migrating": false,
"system_label": "Type"
}
},
{
"slug": "status",
"label": "Status",
"field_type": "statusfield",
"params": {
"choices": [
{
"value": "1",
"label": "Active",
"value_help_text": null,
"value_color": "#0C41F3",
"value_order": 0,
"is_complete": false
},
{
"value": "2",
"label": "Inactive",
"value_help_text": null,
"value_color": "#00B3FA",
"value_order": 1,
"is_complete": false
}
],
"required": true,
"unique": false,
"hidden": false,
"help_text": "",
"help_text_display_format": "tooltip",
"placeholder": "",
"default_value": {
"value": "",
"updated_on": null
},
"width": 1,
"system": false,
"valid": true,
"is_migrating": false,
"system_label": "Status"
}
},
{
"slug": "owners",
"label": "Owners",
"field_type": "userfield",
"params": {
"include_filter": false,
"field_filter": {},
"display_format": "image_name",
"notifications_enabled": true,
"linked_application": "members",
"entries_allowed": "multiple",
"linked_field_slug": null,
"required": true,
"unique": false,
"hidden": false,
"help_text": "",
"help_text_display_format": "tooltip",
"placeholder": "Enter assign to",
"default_value": [],
"width": 1,
"system": false,
"valid": true,
"is_migrating": false,
"system_label": "Owners"
}
},
{
"slug": "members",
"label": "Members",
"field_type": "userfield",
"params": {
"include_filter": false,
"field_filter": {},
"display_format": "image_name",
"notifications_enabled": true,
"linked_application": "members",
"entries_allowed": "multiple",
"linked_field_slug": null,
"required": false,
"unique": false,
"hidden": false,
"help_text": "",
"help_text_display_format": "tooltip",
"placeholder": "Enter assign to",
"default_value": [],
"width": 1,
"system": false,
"valid": true,
"is_migrating": false,
"system_label": "Members"
}
},
{
"slug": "first_created",
"label": "First Created",
"field_type": "firstcreatedfield",
"params": {
"display_format": "avatar_date",
"date_format": "standard",
"include_time": false,
"required": false,
"unique": false,
"hidden": false,
"help_text": "",
"help_text_display_format": "tooltip",
"placeholder": "",
"default_value": null,
"width": null,
"system": true,
"valid": true,
"is_migrating": false
}
},
{
"slug": "last_updated",
"label": "Last Updated",
"field_type": "lastupdatedfield",
"params": {
"display_format": "avatar_date",
"date_format": "standard",
"include_time": false,
"required": false,
"unique": false,
"hidden": false,
"help_text": "",
"help_text_display_format": "tooltip",
"placeholder": "",
"default_value": null,
"width": null,
"system": true,
"valid": true,
"is_migrating": false
}
}
],
"primary_field": "name",
"order": 100,
"structure_layout": null,
"show_all_reports_members": [],
"fields_metadata": {},
"permissions": {
"level": "all_members",
"members": [],
"teams": [],
"permissions_metadata": {}
},
"field_permissions": [],
"first_created": {
"by": "63a1f65723aaf6bcb564b1f1",
"on": "2022-12-20T17:52:22.646000Z"
},
"settings": {
"emails": false,
"meeting_notes": false,
"call_log": false
},
"record_term": "record"
}